//
//  TrustBuilderMfaLibHolder.swift
//  trustBuilderMfaLib gui app
//
//  Created by TB_COWORKER on 08/06/2023.
//

import Foundation
import TrustBuilderMfaLibSwift


class TrustBuilderMfaLibHolder {

    static var instance: TrustBuilderMfaLibHolder = TrustBuilderMfaLibHolder();
    
    let trustbuilderMfaLib: TrustBuilderMfaLib

    private init() {
        trustbuilderMfaLib = TrustBuilderMfaLib(host: Host())
    }
    
    public static func getLibInstance() -> TrustBuilderMfaLib {
        return instance.trustbuilderMfaLib;
    }

}
